Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QLocale.Language

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QLocale.Language

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QLocale

    public static final class QLocale.Language

extends java.lang.Enum
implements QtEnumerator

This enumerated type is used to specify a language.

See also:
  `language()`.

See Also:
  Serialized Form

Field Summary
`static QLocale.Language` | `Abkhazian`
`static QLocale.Language` | `Afan`
`static QLocale.Language` | `Afar`
`static QLocale.Language` | `Afrikaans`
`static QLocale.Language` | `Akan`
`static QLocale.Language` | `Albanian`
`static QLocale.Language` | `Amharic`
`static QLocale.Language` | `Arabic`
`static QLocale.Language` | `Armenian`
`static QLocale.Language` | `Assamese`
`static QLocale.Language` | `Atsam`
`static QLocale.Language` | `Aymara`
`static QLocale.Language` | `Azerbaijani`
`static QLocale.Language` | `Bashkir`
`static QLocale.Language` | `Basque`
`static QLocale.Language` | `Bengali`
`static QLocale.Language` | `Bhutani`
`static QLocale.Language` | `Bihari`
`static QLocale.Language` | `Bislama`
`static QLocale.Language` | `Blin`
`static QLocale.Language` | `Bosnian`
`static QLocale.Language` | `Breton`
`static QLocale.Language` | `Bulgarian`
`static QLocale.Language` | `Burmese`
`static QLocale.Language` | `Byelorussian`
`static QLocale.Language` | `C`
`static QLocale.Language` | `Cambodian`
`static QLocale.Language` | `Catalan`
`static QLocale.Language` | `Chewa`
`static QLocale.Language` | `Chinese`
`static QLocale.Language` | `Cornish`
`static QLocale.Language` | `Corsican`
`static QLocale.Language` | `Croatian`
`static QLocale.Language` | `Czech`
`static QLocale.Language` | `Danish`
`static QLocale.Language` | `Divehi`
`static QLocale.Language` | `Dutch`
`static QLocale.Language` | `English`
`static QLocale.Language` | `Esperanto`
`static QLocale.Language` | `Estonian`
`static QLocale.Language` | `Ewe`
`static QLocale.Language` | `Faroese`
`static QLocale.Language` | `FijiLanguage`
`static QLocale.Language` | `Finnish`
`static QLocale.Language` | `French`
`static QLocale.Language` | `Frisian`
`static QLocale.Language` | `Friulian`
`static QLocale.Language` | `Ga`
`static QLocale.Language` | `Gaelic`
`static QLocale.Language` | `Galician`
`static QLocale.Language` | `Geez`
`static QLocale.Language` | `Georgian`
`static QLocale.Language` | `German`
`static QLocale.Language` | `Greek`
`static QLocale.Language` | `Greenlandic`
`static QLocale.Language` | `Guarani`
`static QLocale.Language` | `Gujarati`
`static QLocale.Language` | `Hausa`
`static QLocale.Language` | `Hawaiian`
`static QLocale.Language` | `Hebrew`
`static QLocale.Language` | `Hindi`
`static QLocale.Language` | `Hungarian`
`static QLocale.Language` | `Icelandic`
`static QLocale.Language` | `Igbo`
`static QLocale.Language` | `Indonesian`
`static QLocale.Language` | `Interlingua`
`static QLocale.Language` | `Interlingue`
`static QLocale.Language` | `Inuktitut`
`static QLocale.Language` | `Inupiak`
`static QLocale.Language` | `Irish`
`static QLocale.Language` | `Italian`
`static QLocale.Language` | `Japanese`
`static QLocale.Language` | `Javanese`
`static QLocale.Language` | `Jju`
`static QLocale.Language` | `Kamba`
`static QLocale.Language` | `Kannada`
`static QLocale.Language` | `Kashmiri`
`static QLocale.Language` | `Kazakh`
`static QLocale.Language` | `Kinyarwanda`
`static QLocale.Language` | `Kirghiz`
`static QLocale.Language` | `Konkani`
`static QLocale.Language` | `Korean`
`static QLocale.Language` | `Koro`
`static QLocale.Language` | `Kurdish`
`static QLocale.Language` | `Kurundi`
`static QLocale.Language` | `Laothian`
`static QLocale.Language` | `Latin`
`static QLocale.Language` | `Latvian`
`static QLocale.Language` | `Lingala`
`static QLocale.Language` | `Lithuanian`
`static QLocale.Language` | `Macedonian`
`static QLocale.Language` | `Malagasy`
`static QLocale.Language` | `Malay`
`static QLocale.Language` | `Malayalam`
`static QLocale.Language` | `Maltese`
`static QLocale.Language` | `Manx`
`static QLocale.Language` | `Maori`
`static QLocale.Language` | `Marathi`
`static QLocale.Language` | `Moldavian`
`static QLocale.Language` | `Mongolian`
`static QLocale.Language` | `NauruLanguage`
`static QLocale.Language` | `Nepali`
`static QLocale.Language` | `Norwegian`
`static QLocale.Language` | `NorwegianNynorsk`
`static QLocale.Language` | `Occitan`
`static QLocale.Language` | `Oriya`
`static QLocale.Language` | `Pashto`
`static QLocale.Language` | `Persian`
`static QLocale.Language` | `Polish`
`static QLocale.Language` | `Portuguese`
`static QLocale.Language` | `Punjabi`
`static QLocale.Language` | `Quechua`
`static QLocale.Language` | `RhaetoRomance`
`static QLocale.Language` | `Romanian`
`static QLocale.Language` | `Russian`
`static QLocale.Language` | `Samoan`
`static QLocale.Language` | `Sangho`
`static QLocale.Language` | `Sanskrit`
`static QLocale.Language` | `Serbian`
`static QLocale.Language` | `SerboCroatian`
`static QLocale.Language` | `Sesotho`
`static QLocale.Language` | `Setswana`
`static QLocale.Language` | `Shona`
`static QLocale.Language` | `Sidamo`
`static QLocale.Language` | `Sindhi`
`static QLocale.Language` | `Singhalese`
`static QLocale.Language` | `Siswati`
`static QLocale.Language` | `Slovak`
`static QLocale.Language` | `Slovenian`
`static QLocale.Language` | `Somali`
`static QLocale.Language` | `Spanish`
`static QLocale.Language` | `Sundanese`
`static QLocale.Language` | `Swahili`
`static QLocale.Language` | `Swedish`
`static QLocale.Language` | `Syriac`
`static QLocale.Language` | `Tagalog`
`static QLocale.Language` | `Tajik`
`static QLocale.Language` | `Tamil`
`static QLocale.Language` | `Tatar`
`static QLocale.Language` | `Telugu`
`static QLocale.Language` | `Thai`
`static QLocale.Language` | `Tibetan`
`static QLocale.Language` | `Tigre`
`static QLocale.Language` | `Tigrinya`
`static QLocale.Language` | `TongaLanguage`
`static QLocale.Language` | `Tsonga`
`static QLocale.Language` | `Turkish`
`static QLocale.Language` | `Turkmen`
`static QLocale.Language` | `Twi`
`static QLocale.Language` | `Tyap`
`static QLocale.Language` | `Uigur`
`static QLocale.Language` | `Ukrainian`
`static QLocale.Language` | `Urdu`
`static QLocale.Language` | `Uzbek`
`static QLocale.Language` | `Venda`
`static QLocale.Language` | `Vietnamese`
`static QLocale.Language` | `Volapuk`
`static QLocale.Language` | `Walamo`
`static QLocale.Language` | `Welsh`
`static QLocale.Language` | `Wolof`
`static QLocale.Language` | `Xhosa`
`static QLocale.Language` | `Yiddish`
`static QLocale.Language` | `Yoruba`
`static QLocale.Language` | `Zhuang`
`static QLocale.Language` | `Zulu`

Method Summary
`static QLocale.Language` | `resolve(int value)` Returns the QLocale$Language constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLocale.Language` | `valueOf(java.lang.String name)`
`static QLocale.Language[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### C

    public static final QLocale.Language C

### Abkhazian

    public static final QLocale.Language Abkhazian

### Afan

    public static final QLocale.Language Afan

### Afar

    public static final QLocale.Language Afar

### Afrikaans

    public static final QLocale.Language Afrikaans

### Albanian

    public static final QLocale.Language Albanian

### Amharic

    public static final QLocale.Language Amharic

### Arabic

    public static final QLocale.Language Arabic

### Armenian

    public static final QLocale.Language Armenian

### Assamese

    public static final QLocale.Language Assamese

### Aymara

    public static final QLocale.Language Aymara

### Azerbaijani

    public static final QLocale.Language Azerbaijani

### Bashkir

    public static final QLocale.Language Bashkir

### Basque

    public static final QLocale.Language Basque

### Bengali

    public static final QLocale.Language Bengali

### Bhutani

    public static final QLocale.Language Bhutani

### Bihari

    public static final QLocale.Language Bihari

### Bislama

    public static final QLocale.Language Bislama

### Breton

    public static final QLocale.Language Breton

### Bulgarian

    public static final QLocale.Language Bulgarian

### Burmese

    public static final QLocale.Language Burmese

### Byelorussian

    public static final QLocale.Language Byelorussian

### Cambodian

    public static final QLocale.Language Cambodian

### Catalan

    public static final QLocale.Language Catalan

### Chinese

    public static final QLocale.Language Chinese

### Corsican

    public static final QLocale.Language Corsican

### Croatian

    public static final QLocale.Language Croatian

### Czech

    public static final QLocale.Language Czech

### Danish

    public static final QLocale.Language Danish

### Dutch

    public static final QLocale.Language Dutch

### English

    public static final QLocale.Language English

### Esperanto

    public static final QLocale.Language Esperanto

### Estonian

    public static final QLocale.Language Estonian

### Faroese

    public static final QLocale.Language Faroese

### FijiLanguage

    public static final QLocale.Language FijiLanguage

### Finnish

    public static final QLocale.Language Finnish

### French

    public static final QLocale.Language French

### Frisian

    public static final QLocale.Language Frisian

### Gaelic

    public static final QLocale.Language Gaelic

### Galician

    public static final QLocale.Language Galician

### Georgian

    public static final QLocale.Language Georgian

### German

    public static final QLocale.Language German

### Greek

    public static final QLocale.Language Greek

### Greenlandic

    public static final QLocale.Language Greenlandic

### Guarani

    public static final QLocale.Language Guarani

### Gujarati

    public static final QLocale.Language Gujarati

### Hausa

    public static final QLocale.Language Hausa

### Hebrew

    public static final QLocale.Language Hebrew

### Hindi

    public static final QLocale.Language Hindi

### Hungarian

    public static final QLocale.Language Hungarian

### Icelandic

    public static final QLocale.Language Icelandic

### Indonesian

    public static final QLocale.Language Indonesian

### Interlingua

    public static final QLocale.Language Interlingua

### Interlingue

    public static final QLocale.Language Interlingue

### Inuktitut

    public static final QLocale.Language Inuktitut

### Inupiak

    public static final QLocale.Language Inupiak

### Irish

    public static final QLocale.Language Irish

### Italian

    public static final QLocale.Language Italian

### Japanese

    public static final QLocale.Language Japanese

### Javanese

    public static final QLocale.Language Javanese

### Kannada

    public static final QLocale.Language Kannada

### Kashmiri

    public static final QLocale.Language Kashmiri

### Kazakh

    public static final QLocale.Language Kazakh

### Kinyarwanda

    public static final QLocale.Language Kinyarwanda

### Kirghiz

    public static final QLocale.Language Kirghiz

### Korean

    public static final QLocale.Language Korean

### Kurdish

    public static final QLocale.Language Kurdish

### Kurundi

    public static final QLocale.Language Kurundi

### Laothian

    public static final QLocale.Language Laothian

### Latin

    public static final QLocale.Language Latin

### Latvian

    public static final QLocale.Language Latvian

### Lingala

    public static final QLocale.Language Lingala

### Lithuanian

    public static final QLocale.Language Lithuanian

### Macedonian

    public static final QLocale.Language Macedonian

### Malagasy

    public static final QLocale.Language Malagasy

### Malay

    public static final QLocale.Language Malay

### Malayalam

    public static final QLocale.Language Malayalam

### Maltese

    public static final QLocale.Language Maltese

### Maori

    public static final QLocale.Language Maori

### Marathi

    public static final QLocale.Language Marathi

### Moldavian

    public static final QLocale.Language Moldavian

### Mongolian

    public static final QLocale.Language Mongolian

### NauruLanguage

    public static final QLocale.Language NauruLanguage

### Nepali

    public static final QLocale.Language Nepali

### Norwegian

    public static final QLocale.Language Norwegian

### Occitan

    public static final QLocale.Language Occitan

### Oriya

    public static final QLocale.Language Oriya

### Pashto

    public static final QLocale.Language Pashto

### Persian

    public static final QLocale.Language Persian

### Polish

    public static final QLocale.Language Polish

### Portuguese

    public static final QLocale.Language Portuguese

### Punjabi

    public static final QLocale.Language Punjabi

### Quechua

    public static final QLocale.Language Quechua

### RhaetoRomance

    public static final QLocale.Language RhaetoRomance

### Romanian

    public static final QLocale.Language Romanian

### Russian

    public static final QLocale.Language Russian

### Samoan

    public static final QLocale.Language Samoan

### Sangho

    public static final QLocale.Language Sangho

### Sanskrit

    public static final QLocale.Language Sanskrit

### Serbian

    public static final QLocale.Language Serbian

### SerboCroatian

    public static final QLocale.Language SerboCroatian

### Sesotho

    public static final QLocale.Language Sesotho

### Setswana

    public static final QLocale.Language Setswana

### Shona

    public static final QLocale.Language Shona

### Sindhi

    public static final QLocale.Language Sindhi

### Singhalese

    public static final QLocale.Language Singhalese

### Siswati

    public static final QLocale.Language Siswati

### Slovak

    public static final QLocale.Language Slovak

### Slovenian

    public static final QLocale.Language Slovenian

### Somali

    public static final QLocale.Language Somali

### Spanish

    public static final QLocale.Language Spanish

### Sundanese

    public static final QLocale.Language Sundanese

### Swahili

    public static final QLocale.Language Swahili

### Swedish

    public static final QLocale.Language Swedish

### Tagalog

    public static final QLocale.Language Tagalog

### Tajik

    public static final QLocale.Language Tajik

### Tamil

    public static final QLocale.Language Tamil

### Tatar

    public static final QLocale.Language Tatar

### Telugu

    public static final QLocale.Language Telugu

### Thai

    public static final QLocale.Language Thai

### Tibetan

    public static final QLocale.Language Tibetan

### Tigrinya

    public static final QLocale.Language Tigrinya

### TongaLanguage

    public static final QLocale.Language TongaLanguage

### Tsonga

    public static final QLocale.Language Tsonga

### Turkish

    public static final QLocale.Language Turkish

### Turkmen

    public static final QLocale.Language Turkmen

### Twi

    public static final QLocale.Language Twi

### Uigur

    public static final QLocale.Language Uigur

### Ukrainian

    public static final QLocale.Language Ukrainian

### Urdu

    public static final QLocale.Language Urdu

### Uzbek

    public static final QLocale.Language Uzbek

### Vietnamese

    public static final QLocale.Language Vietnamese

### Volapuk

    public static final QLocale.Language Volapuk

### Welsh

    public static final QLocale.Language Welsh

### Wolof

    public static final QLocale.Language Wolof

### Xhosa

    public static final QLocale.Language Xhosa

### Yiddish

    public static final QLocale.Language Yiddish

### Yoruba

    public static final QLocale.Language Yoruba

### Zhuang

    public static final QLocale.Language Zhuang

### Zulu

    public static final QLocale.Language Zulu

### NorwegianNynorsk

    public static final QLocale.Language NorwegianNynorsk

### Bosnian

    public static final QLocale.Language Bosnian

### Divehi

    public static final QLocale.Language Divehi

### Manx

    public static final QLocale.Language Manx

### Cornish

    public static final QLocale.Language Cornish

### Akan

    public static final QLocale.Language Akan

### Konkani

    public static final QLocale.Language Konkani

### Ga

    public static final QLocale.Language Ga

### Igbo

    public static final QLocale.Language Igbo

### Kamba

    public static final QLocale.Language Kamba

### Syriac

    public static final QLocale.Language Syriac

### Blin

    public static final QLocale.Language Blin

### Geez

    public static final QLocale.Language Geez

### Koro

    public static final QLocale.Language Koro

### Sidamo

    public static final QLocale.Language Sidamo

### Atsam

    public static final QLocale.Language Atsam

### Tigre

    public static final QLocale.Language Tigre

### Jju

    public static final QLocale.Language Jju

### Friulian

    public static final QLocale.Language Friulian

### Venda

    public static final QLocale.Language Venda

### Ewe

    public static final QLocale.Language Ewe

### Walamo

    public static final QLocale.Language Walamo

### Hawaiian

    public static final QLocale.Language Hawaiian

### Tyap

    public static final QLocale.Language Tyap

### Chewa

    public static final QLocale.Language Chewa

Method Detail

### values

    public static QLocale.Language[] values()

### valueOf

    public static QLocale.Language valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLocale.Language resolve(int value)

  Returns the QLocale$Language constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD